OfonoNetworkRegistration Class Reference

This class is used to access oFono network registration API. More...

`#include <ofononetworkregistration.h>`

Inheritance diagram for OfonoNetworkRegistration:

## Public Slots

void | registerOp ()
void | getOperators ()
void | scan ()

## Signals

void | modeChanged (const QString &mode)
void | statusChanged (const QString &status)
void | locationAreaCodeChanged (uint locationAreaCode)
void | cellIdChanged (uint cellId)
void | mccChanged (const QString &mcc)
void | mncChanged (const QString &mnc)
void | technologyChanged (const QString &technology)
void | nameChanged (const QString &name)
void | strengthChanged (uint strength)
void | baseStationChanged (const QString &baseStation)
void | registerComplete (bool success)
void | getOperatorsComplete (bool success, const QStringList &operatorIds)
void | scanComplete (bool success, const QStringList &operatorIds)
Signals inherited from OfonoModemInterface
void | validityChanged (bool validity)
| Interface validity has changed.

## Public Member Functions

| OfonoNetworkRegistration (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, QObject *parent=0)
QString | mode () const
QString | status () const
uint | locationAreaCode () const
uint | cellId () const
QString | mcc () const
QString | mnc () const
QString | technology () const
QString | name () const
uint | strength () const
QString | baseStation () const
Public Member Functions inherited from OfonoModemInterface
| OfonoModemInterface (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, const QString &ifname, OfonoGetPropertySetting propertySetting, QObject *parent=0)
| Construct a modem interface object.
bool | isValid () const
| Check that the modem interface object is valid.
OfonoModem * | modem () const
| Get the modem object that this interface belongs to.
QString | path () const
| Returns the D-Bus object path of the interface.
QString | errorName () const
| Get the D-Bus error name of the last operation.
QString | errorMessage () const
| Get the D-Bus error message of the last operation.

## Properties

QString | mode
QString | status
uint | locationAreaCode
uint | cellId
QString | mcc
QString | mnc
QString | technology
QString | name
uint | strength
QString | baseStation
Properties inherited from OfonoModemInterface
bool | isValid
QString | path
QString | errorName
QString | errorMessage

## Additional Inherited Members

Protected Attributes inherited from OfonoModemInterface
OfonoInterface * | m_if

## Detailed Description

This class is used to access oFono network registration API.

The API is documented in http://git.kernel.org/?p=network/ofono/ofono.git;a=blob_plain;f=doc/network-api.txt

The documentation for this class was generated from the following file:

- lib/ofononetworkregistration.h